VelocityReport Plugin - Feature #165

Fix root path as relative to template
10/06/2010 08:30 PM - Patrick Talbot

Status: Closed Start date: 10/06/2010
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

#include and #parse are currently always using the report folder as root
So with a hierarchy like this:

reports/
inc/

header.html

templates/

templateA.html

inc/

footer.html

etfc...

if templateA.html contains #parse('inc/footer.html) this will not work, while #parse('inc/header.html’) will
This is counter-intuitive since any other (client-side) includes (like js or css files, done in pure html) are relative to the template itself.

History

#1 - 10/07/2010 12:56 AM - Patrick Talbot

- Status changed from New to In Progress

#2 - 01/29/2011 07:42 AM - Patrick Talbot

- Assignee set to Patrick Talbot

Fixed for 1.3.15+

#3 - 01/29/2011 07:52 AM - Patrick Talbot

- Status changed from In Progress to Closed

05/21/2024 1/1



http://www.tcpdf.org

